function FileData_Pairs(x)
{
x.t("active","subscribers");
x.t("example","session.createconsumer");
x.t("example","implement");
x.t("example","create");
x.t("example","creating");
x.t("example","tibemssession_createconsumer");
x.t("example","following");
x.t("serves","asynchronous");
x.t("connection.start","implement");
x.t("connection.start","session");
x.t("properties","creating");
x.t("method","create");
x.t("method","creates");
x.t("method","topic");
x.t("method","register");
x.t("method","onmessage");
x.t("method","perform");
x.t("method","begin");
x.t("method","either");
x.t("method","used");
x.t("attaches","client");
x.t("&msgconsumer","topic");
x.t("session.createconsumer","method");
x.t("session.createconsumer","create");
x.t("session.createconsumer","(queue)");
x.t("rather","applications");
x.t("tibjmsasyncmsgconsumer.java","sample");
x.t("implement","onmessage");
x.t("implement","message");
x.t("implement","imessagelistener.onmessage");
x.t("csasyncmsgconsumer.cs","csasyncmsgconsumerusingdelegate.cs");
x.t("experience","failed");
x.t("create","connection");
x.t("create","new");
x.t("create","message");
x.t("create","implementation");
x.t("create","messageconsumer");
x.t("create","durable");
x.t("currently","running");
x.t("ensures","messages");
x.t("once","create");
x.t("beans","(mdbs)");
x.t("callback","function");
x.t("void","onmessage");
x.t("void","closure");
x.t("void","run");
x.t("topic","attaches");
x.t("topic","create");
x.t("topic","user");
x.t("topic","queue");
x.t("topic","depending");
x.t("topic","mydurable");
x.t("topic","received");
x.t("topic","otherwise");
x.t("topic","attach");
x.t("topic","sent");
x.t("topic","dynamically");
x.t("creates","new");
x.t("creates","tibemsmsgconsumer");
x.t("creates","durable");
x.t("user","permissions");
x.t("user","least");
x.t("user","durable");
x.t("try","process");
x.t("until","retrieved");
x.t("until","either");
x.t("later","create");
x.t("uses","tibemsmsgconsumer_setmsglistener");
x.t("imessagelistener","create");
x.t("imessagelistener","interface");
x.t("working","example");
x.t("working","examples");
x.t("working","topics");
x.t("register","message");
x.t("register","specific");
x.t("introduced","message-driven");
x.t("interface","session.createconsumer");
x.t("interface","create");
x.t("sample","clients");
x.t("sample","client");
x.t("type","destination");
x.t("type","tibemsmsgconsumer");
x.t("listener","serves");
x.t("listener","register");
x.t("listener","obtain");
x.t("listener","registered");
x.t("listener","j2ee");
x.t("listener","message");
x.t("listener","implementation");
x.t("listener","specific");
x.t("listener","asynchronous");
x.t("time","reached");
x.t("explicitly","calls");
x.t("calls","receive");
x.t("public","void");
x.t("public","class");
x.t("subscriber","ensures");
x.t("subscriber","topic");
x.t("subscriber","user");
x.t("subscriber","session.createdurablesubscriber");
x.t("subscriber","message");
x.t("subscriber","consumes");
x.t("subscriber","named");
x.t("subscriber","even");
x.t("connection","session");
x.t("connection","consumed");
x.t("&queuereceiver","queue");
x.t("arrives","void");
x.t("arrives","public");
x.t("arrives","destination");
x.t("arrives","implementation");
x.t("queue","topic");
x.t("queue","until");
x.t("queue","working");
x.t("queue","null");
x.t("queue","asynchronous");
x.t("queue","consumer\u2019s");
x.t("queue","reached");
x.t("queue","consumers");
x.t("queue","durable");
x.t("(this)","connection.start");
x.t("tibemsconnection_start","(connection)");
x.t("property","messageconsumer");
x.t("retrieved","later");
x.t("retrieved","consumer");
x.t("disconnect","described");
x.t("new","durable");
x.t("details","java");
x.t("onmessage","method");
x.t("onmessage","callback");
x.t("onmessage","tibemsmsgconsumer");
x.t("onmessage","function");
x.t("onmessage","message");
x.t("onmessage","null");
x.t("onmessage","called");
x.t("start","method");
x.t("servers","rather");
x.t("size","queue");
x.t("status","tibemsconnection_start");
x.t("status","tibemssession_createconsumer");
x.t("status","tibemsmsgconsumer_setmsglistener");
x.t("status","tibemssession_createdurablesubscriber");
x.t("ems","allows");
x.t("ems","client");
x.t("ems","server");
x.t("actions","message");
x.t("referred","subscriber");
x.t("(mdbs)","special");
x.t("messagelistener","create");
x.t("messagelistener","interface");
x.t("messagelistener","property");
x.t("tibemsmsg","message");
x.t("nolocal","attribute");
x.t("prohibits","consumption");
x.t("queues","messages");
x.t("queues","createdurablesubscriber");
x.t("synchronously","asynchronously");
x.t("desired","actions");
x.t("handle","exceptions");
x.t("creating","message");
x.t("creating","topics");
x.t("session.createdurablesubscriber","method");
x.t("session.createdurablesubscriber","topic");
x.t("csdurable.cs","sample");
x.t("obtain","messages");
x.t("clients","working");
x.t("clients","receive");
x.t("previously","created");
x.t("handler","messages");
x.t("consumption","implement");
x.t("consumption","ems");
x.t("consumption","messages");
x.t("consumption","message");
x.t("synchronous","consumption");
x.t("perform","desired");
x.t("queuereceiver.messagelistener","connection.start");
x.t("session","&msgconsumer");
x.t("session","&queuereceiver");
x.t("session","consumer");
x.t("session","object\u2019s");
x.t("session","setmessagelistener");
x.t("tibemsdurable.c","sample");
x.t("csmsgconsumer.cs","sample");
x.t("consumed","active");
x.t("consumed","carefully");
x.t("consumed","cannot");
x.t("consumed","message");
x.t("allows","message");
x.t("destination","implement");
x.t("destination","listener");
x.t("destination","message");
x.t("expiration","time");
x.t("topicsubscriber","subscriber");
x.t("tibemsmsgconsumer","uses");
x.t("tibemsmsgconsumer","tibemsmsgconsumer");
x.t("tibemsmsgconsumer","queuereceiver");
x.t("tibemsmsgconsumer","msgconsumer");
x.t("attribute","prohibits");
x.t("remain","queue");
x.t("permissions","details");
x.t("receiving","messages");
x.t("developing","ems");
x.t("selector","restricts");
x.t("failed","selectors");
x.t("begin","receiving");
x.t("registered","j2ee");
x.t("non-matching","message");
x.t("especially","queue");
x.t("csasyncmsgconsumer","imessagelistener");
x.t("messages","topic");
x.t("messages","queue");
x.t("messages","consumed");
x.t("messages","remain");
x.t("messages","match");
x.t("messages","message");
x.t("messages","published");
x.t("messages","either");
x.t("throw","exceptions");
x.t("commonly","referred");
x.t("maximum","size");
x.t("function","create");
x.t("function","void");
x.t("function","creates");
x.t("function","perform");
x.t("j2ee","1.3");
x.t("j2ee","documentation");
x.t("1.3","platform");
x.t("message-driven","beans");
x.t("tibjmsasyncmsgconsumer","implements");
x.t("implements","messagelistener");
x.t("chapter","developing");
x.t("receive","method");
x.t("receive","messages");
x.t("carefully","consider");
x.t("cannot","retrieved");
x.t("use_durable","permission");
x.t("tibemssession_createconsumer","session");
x.t("tibemssession_createconsumer","function");
x.t("selectors","especially");
x.t("selectors","used");
x.t("selectors","remains");
x.t("match","queue");
x.t("tibems_false","status");
x.t("tibems_false","tibemsdurable.c");
x.t("tibems_false","tibemsmsgconsumer.c");
x.t("calling","connection\u2019s");
x.t("tibemsasyncmsgconsumer.c","sample");
x.t("client","working");
x.t("client","previously");
x.t("client","application");
x.t("createdurablesubscriber","method");
x.t("consumer","type");
x.t("consumer","listener");
x.t("consumer","explicitly");
x.t("consumer","public");
x.t("consumer","status");
x.t("consumer","creating");
x.t("consumer","non-matching");
x.t("consumer","commonly");
x.t("consumer","chapter");
x.t("consumer","calling");
x.t("consumer","message");
x.t("consumer","consumes");
x.t("consumer","messageconsumer");
x.t("consumer","specifying");
x.t("consumer","topics");
x.t("consumer","created");
x.t("consumer","consume");
x.t("message","experience");
x.t("message","void");
x.t("message","try");
x.t("message","listener");
x.t("message","arrives");
x.t("message","handle");
x.t("message","consumption");
x.t("message","expiration");
x.t("message","selector");
x.t("message","selectors");
x.t("message","consumer");
x.t("message","message");
x.t("message","specific");
x.t("message","process");
x.t("message","immediately");
x.t("message","consumers");
x.t("consumes","messages");
x.t("least","use_durable");
x.t("asynchronously","synchronous");
x.t("closure","process");
x.t("tibco","software");
x.t("java","create");
x.t("java","session");
x.t("event","handler");
x.t("upon","destination");
x.t("kind","message");
x.t("documentation","information");
x.t("consider","message");
x.t("existing","durable");
x.t("null","create");
x.t("null","status");
x.t("null","tibems_false");
x.t("createconsumer","method");
x.t("tibjmsmsgconsumer.java","sample");
x.t("tibemsmsgconsumer.c","sample");
x.t("running","queues");
x.t("named","mydurable");
x.t("(connection)","tibemsasyncmsgconsumer.c");
x.t("specific","properties");
x.t("specific","type");
x.t("specific","message");
x.t("queuereceiver","session.createconsumer");
x.t("queuereceiver","onmessage");
x.t("queuereceiver","tibemsmsg");
x.t("queuereceiver","null");
x.t("implementation","method");
x.t("implementation","imessagelistener");
x.t("implementation","messagelistener");
x.t("implementation","handle");
x.t("depending","upon");
x.t("subscribers","topic");
x.t("subscribers","topics");
x.t("queuereceiver.setmessagelistener","(this)");
x.t("process","message");
x.t("messageconsumer","messagelistener");
x.t("messageconsumer","queuereceiver");
x.t("messageconsumer","messageconsumer");
x.t("messageconsumer","object\u2019s");
x.t("messageconsumer","object");
x.t("mydurable","type");
x.t("mydurable","csdurable.cs");
x.t("mydurable","topicsubscriber");
x.t("mydurable","null");
x.t("mydurable","tibjmsdurable.java");
x.t("platform","introduced");
x.t("specifying","onmessage");
x.t("(queue)","queuereceiver.messagelistener");
x.t("(queue)","csmsgconsumer.cs");
x.t("(queue)","tibjmsmsgconsumer.java");
x.t("(queue)","queuereceiver.setmessagelistener");
x.t("information","mdbs");
x.t("received","subscriber");
x.t("examples","create");
x.t("examples","tibco");
x.t("msgconsumer","null");
x.t("tibemsmsgconsumer_setmsglistener","function");
x.t("tibemsmsgconsumer_setmsglistener","queuereceiver");
x.t("application","servers");
x.t("application","creating");
x.t("published","topic");
x.t("published","connection");
x.t("published","topics");
x.t("asynchronous","consumption");
x.t("asynchronous","message");
x.t("asynchronous","event");
x.t("csasyncmsgconsumerusingdelegate.cs","sample");
x.t("described","durable");
x.t("permission","topic");
x.t("called","ems");
x.t("topics","nolocal");
x.t("topics","queues");
x.t("topics","consumed");
x.t("topics","messages");
x.t("topics","message");
x.t("otherwise","messages");
x.t("object\u2019s","createconsumer");
x.t("object\u2019s","setmessagelistener");
x.t("applications","implement");
x.t("created","message");
x.t("created","dynamically");
x.t("created","durable");
x.t("consumer\u2019s","message");
x.t("immediately","disconnect");
x.t("reached","maximum");
x.t("reached","following");
x.t("tibjmsdurable.java","sample");
x.t("used","queue");
x.t("used","application");
x.t("either","creates");
x.t("either","synchronously");
x.t("either","consumed");
x.t("following","session.createdurablesubscriber");
x.t("following","examples");
x.t("following","tibemssession_createdurablesubscriber");
x.t("special","kind");
x.t("run","tibemsmsgconsumer");
x.t("connect","consume");
x.t("tibemssession_createdurablesubscriber","session");
x.t("tibemssession_createdurablesubscriber","function");
x.t("mdbs","java");
x.t("class","csasyncmsgconsumer");
x.t("class","tibjmsasyncmsgconsumer");
x.t("consumers","clients");
x.t("consumers","messages");
x.t("consumers","connect");
x.t("restricts","consumption");
x.t("setmessagelistener","method");
x.t("connection\u2019s","start");
x.t("imessagelistener.onmessage","method");
x.t("attach","existing");
x.t("sent","queue");
x.t("consume","messages");
x.t("consume","message");
x.t("even","currently");
x.t("exceptions","tibjmsasyncmsgconsumer.java");
x.t("exceptions","csasyncmsgconsumer.cs");
x.t("exceptions","once");
x.t("exceptions","throw");
x.t("exceptions","function");
x.t("remains","queue");
x.t("durable","subscriber");
x.t("durable","subscribers");
x.t("durable","permission");
x.t("dynamically","creating");
x.t("dynamically","created");
x.t("object","register");
x.t("object","messageconsumer");
x.t("server","message");
}
